

.query-row {
    display: grid; /* Activa Grid */
    grid-template-columns: 8% 35% 8% 35% 7% ; /* Controla el ancho de las columnas */
    gap: 10px; /* Espaciado entre columnas */
    margin-bottom: 8px; /* Espaciado entre filas */
}

.query-row > div {
    text-align: left; /* Alinea cada celda a la izquierda */
}

.query-row span {
    font-weight: bold;
    color: #555;
    font-size: 16px;
    line-height: 1.6;
}

.query-row input,
.query-row select {
    width: 100%;                       /* Fija el ancho del texto para que todas las etiquetas queden alineadas */    
    /*flex: 1;                            /* El input y select toman todo el espacio disponible restante */
    padding: 5px;
}


.container-row {
    all: unset;
    display: grid; /* Activa Grid */
    grid-template-columns: 40% 60%; /* Controla el ancho de las columnas */
    gap: 10px; /* Espaciado entre columnas */
    margin-bottom: 8px; /* Espaciado entre filas */   
    align-items: start; /* Alinea los elementos en la parte superior */
}

.container-row span {
    font-weight: bold;
    color: #555;
    font-size: 16px;
    line-height: 1.6;
}

.container-row input,
.container-row select {
    width: 100%;                       /* Fija el ancho del texto para que todas las etiquetas queden alineadas */    
    /*flex: 1;                            /* El input y select toman todo el espacio disponible restante */
    padding: 5px;
}

.container-row label {
    width: 100%;                        /* Fija el ancho del texto para que todas las etiquetas queden alineadas */
    display: inline-block;              /* Asegura que se ajuste al contenido */           
    padding: 5px;                       /* Espacio interno */

    background-color: #fff;             /* Color de fondo */
    color: #555;                        /* Color del texto */

    border-radius: 5px;                 /* Bordes redondeados */
    border: 1px solid #ccc;             /* Borde del label */

    font-size: 16px;                    /* Tamaño del texto */
    font-family: Arial, sans-serif;     /* Fuente */

    word-wrap: break-word;              /* Permite romper palabras largas */
    white-space: normal;                /* Permite que el texto ocupe múltiples líneas */

    max-height: 4.5em;                  /* Limita la altura a 2 líneas (1.5em por línea) */
    overflow-y: auto;                   /* Habilita el scroll vertical si el texto excede las 2 líneas */

    /* flex: 1; /* El input y select toman todo el espacio disponible restante */           
    /* margin: 0; */
    /* padding-right: 10px; /* Espacio entre el texto y el input */

}

.container-row label.userPass-label {
    font-weight: bold;
    color: #555; 
    font-size: 16px;
    line-height: 1.6;
    background-color: transparent;
    border: none;    
}

